%define anolis_release 1
%global pypi_name addict
%global pypi_version 2.4.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Addict is a dictionary whose items can be set using both attribute and item syntax

License:        None
URL:            https://github.com/mewwts/addict
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Addict is a module that exposes a dictionary subclass that allows items to be
set like attributes. Values are gettable and settable using both attribute and
item syntax. For more info check out the README at 'github.com/mewwts/addict'.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Addict is a module that exposes a dictionary subclass that allows items to be
set like attributes. Values are gettable and settable using both attribute and
item syntax. For more info check out the README at 'github.com/mewwts/addict'.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Aug 31 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.4.0-1
- Init package from upstream.
